Bug 833595 - ez-ipupdate missing tmpfiles.d config for PIDs
ez-ipupdate missing tmpfiles.d config for PIDs
Product: Fedora
Classification: Fedora
Component: ez-ipupdate (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2012-06-19 16:27 EDT by tengel
Modified: 2013-12-24 21:38 EST (History)
2 users (show)

See Also:
Fixed In Version: ez-ipupdate-3.0.11-0.29.b8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-24 21:38:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Recreate run dir using tmpfiles. (1.06 KB, patch)
2012-07-10 16:32 EDT, Alexander Boström
no flags Details | Diff

  None (edit)
Description tengel 2012-06-19 16:27:05 EDT
Description of problem:

The ez-ipupdate package is missing a tmpfiles.d config file to create it's required /var/run/ez-ipupdate/ directory owned by it's runtime user. Upon reboot the daemon will fail to start since it cannot create it's pidfile which is the name of the conf files (dynamic).

The RPM creates the directory upon install, so the daemon will work initially when first installed, configured and run but fail with the system is rebooted.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install F17
2. Install ez-ipupdate, configure, chkconfig on
3. Reboot
Actual results:

ez-ipupdate fails to launch, from syslog:

ez-ipupdate[753]: version 3.0.11b8, interface em1, host XXXXX.dyndns.org, server members.dyndns.org, service dyndns
ez-ipupdate[753]: could not create pid file /var/run/ez-ipupdate/XXXXX.pid (Bad file descriptor), exiting

Expected results:

ez-ipupdate launches and stays running.

Additional info:

Per the guidelines:

I created:

$ cat /etc/tmpfiles.d/ez-ipupdate.conf 
D /var/run/ez-ipupdate 0755 ez-ipupd ez-ipupd -
Comment 1 Alexander Boström 2012-07-10 16:32:42 EDT
Created attachment 597421 [details]
Recreate run dir using tmpfiles.

I have not tested this. Note that this is for the F18 version which has a systemd service file. It probably would work for the older releases too, but it's probably easier to add an mkdir in the init script in those branches.
Comment 2 Fedora End Of Life 2013-07-03 18:46:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 20:54:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Fedora Update System 2013-12-14 15:13:19 EST
ez-ipupdate-3.0.11-0.29.b8.fc20 has been submitted as an update for Fedora 20.
Comment 5 Fedora Update System 2013-12-14 15:14:52 EST
ez-ipupdate-3.0.11-0.29.b8.fc19 has been submitted as an update for Fedora 19.
Comment 6 Fedora Update System 2013-12-14 15:16:09 EST
ez-ipupdate-3.0.11-0.29.b8.fc18 has been submitted as an update for Fedora 18.
Comment 7 Fedora Update System 2013-12-16 17:58:46 EST
Package ez-ipupdate-3.0.11-0.29.b8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ez-ipupdate-3.0.11-0.29.b8.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-12-23 22:38:04 EST
ez-ipupdate-3.0.11-0.29.b8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-24 21:33:16 EST
ez-ipupdate-3.0.11-0.29.b8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-12-24 21:38:29 EST
ez-ipupdate-3.0.11-0.29.b8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.